REM Find the BES Client directory
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%%~pb%%~nb
FOR /F "tokens=2*" %%a IN ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\App Paths\BESClient.exe" /v Path') DO SET BESDIR=%%~pb%%~nb

REM Make sure the BES Client is not installed
if not "%BESDIR%"=="" goto end

set BFOSDDIR=%SystemDrive%\Deploy\$OEM$\BigFixOSD
set IEMCLIENTVERSION=%2
set IEMCLIENTFILENAME=%3

REM Install the BES Client (9.0 default)
if "%IEMCLIENTVERSION%"==""  (
copy /Y "%BFOSDDIR%\ClientInstall\masthead.afxm" "%BFOSDDIR%\ClientInstall\9.0\masthead.afxm"
start "Install BES Client" /wait "%BFOSDDIR%\ClientInstall\9.0\setup.exe" /s /v"STARTAGENTSERVICE=0 /qn"
) else if "%IEMCLIENTFILENAME%"=="" (
start "Install BES Client" /wait "%BFOSDDIR%\ClientInstall\%IEMCLIENTVERSION%\setup.exe" /s /v"STARTAGENTSERVICE=0 /qn"
) else (
start "Install BES Client" /wait "%BFOSDDIR%\ClientInstall\%IEMCLIENTFILENAME%" /s /v"STARTAGENTSERVICE=0 /qn"
)

:startbesclient
REM Start the BES Client
net start BESClient

:end